import { html as h } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as d } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, a = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, o) : t, l = c.length - 1, i; l >= 0; l--)
    (i = c[l]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends n {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--dashboardFilled", this.class = "c-pieIcon c-pieIcon--dashboardFilled", this.name = "IconDashboardFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--dashboardFilled"><path d="M10.389 10.91a2.415 2.415 0 0 1-.691 1.444c-.018.017-.044.035-.062.052h4.594c.359-.84.551-1.724.551-2.625a6.74 6.74 0 0 0-.735-3.045L10.39 10.92v-.009Z"></path><path d="M6.303 12.363a2.413 2.413 0 0 1 0-3.404 2.382 2.382 0 0 1 1.12-.63l3.893-4.454A6.768 6.768 0 0 0 8 3C4.264 3 1.219 6.045 1.219 9.781c0 .901.192 1.785.551 2.625h4.594s-.044-.035-.061-.052v.009Z"></path><path d="M8.77 11.435c.21-.21.324-.481.324-.779v-.245l5.092-5.818-.989-.867-5.1 5.828-.246.035c-.175.026-.42.096-.63.306a1.093 1.093 0 0 0 0 1.549c.429.428 1.12.428 1.549 0v-.009Z"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  d("icon-dashboard-filled")
], s);
export {
  s as IconDashboardFilled
};
